| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::FileActionProgressItemContainer Class Reference
Inheritance diagram for Digikam::FileActionProgressItemContainer:

## Signals
void | signalWrittingDone ()

## Public Member Functions
void | dbFinished ()
void | dbProcessed (int numberOfInfos)
void | finishedWriting ()
void | schedulingForDB (int numberOfInfos, const QString &action, FileActionProgressItemCreator *const creator)
void | schedulingForWrite (int numberOfInfos, const QString &action, FileActionProgressItemCreator *const creator)
void | written (int numberOfInfos)

## Additional Inherited Members
Protected Member Functions inherited from Digikam::TwoProgressItemsContainer
void | advance (QAtomicPointer< ProgressItem > &ptr, int n)
void | scheduleOnProgressItem (QAtomicPointer< ProgressItem > &ptr, int total, const QString &action, FileActionProgressItemCreator *const creator)
Protected Attributes inherited from Digikam::TwoProgressItemsContainer
QAtomicPointer< ProgressItem > | firstItem
QAtomicPointer< ProgressItem > | secondItem